Subject: Re: bug#34481: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Michael Heerdegen <[email-masked]>
Date: Tue, 02 Mar 2021 00:49:31 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Just because it's not a part of Common Lisp -- I think people expect
> the cl-* functions to be a subset of CL syntax, not a superset.

Ok.

For cl-flet, we already have it, and it's a useful extension.  For
cl-labels, I don't care that much, and allowing arbitrary
function-valued expressions does not even make sense for it.  But for
macrolet I guess it could make sense (does CL have macrolet?).

Michael.